using SQLite;

namespace Blahblah.FlowerApp.Data.Model;

[Table("logs")]
public class LogItem
{
    [Column("lid"), PrimaryKey, AutoIncrement]
    public int Id { get; set; }

    [Column("logtime"), NotNull]
    public long LogUnixTime { get; set; }

    [Column("uid"), NotNull]
    public int OwnerId { get; set; }

    [Column("logtype"), NotNull]
    public string LogType { get; set; } = null!;

    [Column("category"), NotNull]
    public string Category { get; set; } = null!;

    [Column("message"), NotNull]
    public string Message { get; set; } = null!;

    [Column("source")]
    public string? Source { get; set; } = null!;

    [Column("description")]
    public string? Description { get; set; }

    [Column("client")]
    public string? ClientAgent { get; set; }
}
